Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class MemIndex

    java.lang.Object
      java.util.AbstractMap
          java.util.HashMap
              ru.biosoft.access.MemIndex

All Implemented Interfaces:
  java.lang.Cloneable, Index, java.util.Map, java.io.Serializable

public class MemIndex
extends java.util.HashMap
implements Index

See Also:
  Serialized Form
To do:
  Document

Nested Class Summary

Nested classes inherited from class ru.biosoft.access.Index
`Index.IndexEntry, Index.StringIndexEntry`

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary

Fields inherited from interface ru.biosoft.access.Index
`DEFAULT_INDEX_NAME`

Constructor Summary
`MemIndex(java.io.File dataFile, java.lang.String indexName)`

Method Summary
`void` | `close()` Release all resources.
`java.io.File` | `getIndexFile()` Returns index file.
`boolean` | `isValid()` Check is this index valid.
`java.util.Iterator` | `nodeIterator(Key key)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### MemIndex

    public MemIndex(java.io.File dataFile,
                    java.lang.String indexName)
             throws java.io.IOException

To do:
  Document., HIGH Implement.

Method Detail

### nodeIterator

    public java.util.Iterator nodeIterator(Key key)

  Specified by:
    `nodeIterator` in interface `Index`

### isValid

    public boolean isValid()

  Description copied from interface: `Index`
  Check is this index valid.

  Specified by:
    `isValid` in interface `Index`
  Returns:
    `true` if index valid, `false` otherwise.
  To do:
    Document., Implement, May compare timestamp of file and index file.

### getIndexFile

    public java.io.File getIndexFile()

  Returns index file. This information is essential to remove index files.

  Specified by:
    `getIndexFile` in interface `Index`
  Returns:
    index file.

### close

    public void close()
               throws java.io.FileNotFoundException,
                      java.io.IOException

  Description copied from interface: `Index`
  Release all resources. After call this method all operations on this object are invalid.

  Specified by:
    `close` in interface `Index`
  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`
  To do:
    Document, HIGH Uncomment when close will be work correctly.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.